Skip to main content
POST
/
v1
/
session
/
login
/
oauth
/
{provider}
/
callback
OAuth callback (POST)
curl --request POST \
  --url https://{appId}.session.prelude.dev/v1/session/login/oauth/{provider}/callback \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --data 'state=<string>' \
  --data 'code=<string>' \
  --data 'error=<string>' \
  --data 'error_description=<string>'

Path Parameters

provider
string
required

The OAuth provider identifier

Example:

"apple"

Body

application/x-www-form-urlencoded
state
string
required

The state parameter for CSRF protection

code
string

The authorization code from the OAuth provider

error
string

Error code from the OAuth provider

error_description
string

Error description from the OAuth provider

Response

Redirect to client application with challenge_token or error query parameters